function Mobile_Graph = Plot_Omni3(dx,dy,angz)
global  Omni3;

% Matriz de rotación z

Rz=[ cos(angz) -sin(angz) 0; sin(angz) cos(angz) 0; 0 0 1];


robotPatch = Rz*Omni3.platformVertices;
robotPatch(1,:)=robotPatch(1,:)+dx;
robotPatch(2,:)=robotPatch(2,:)+dy;

Mobile_Graph(1) = patch('Faces',Omni3.platformFaces,'Vertices',robotPatch','FaceColor',[0.3 0.75 0.93],'EdgeColor','none');

robotPatch = Rz*Omni3.wheelVertices;
robotPatch(1,:)=robotPatch(1,:)+dx;
robotPatch(2,:)=robotPatch(2,:)+dy;

Mobile_Graph(2) = patch('Faces',Omni3.wheelFaces,'Vertices',robotPatch','FaceColor','black','EdgeColor','none');

robotPatch = Rz*Omni3.wheelbVertices;
robotPatch(1,:)=robotPatch(1,:)+dx;
robotPatch(2,:)=robotPatch(2,:)+dy;

Mobile_Graph(3) = patch('Faces',Omni3.wheelbFaces,'Vertices',robotPatch','FaceColor',[0.8 0.8 0.8],'EdgeColor','none');




